--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply BSC change CP1390
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              13-NOV-2013 M Brookes         10.0.006.0
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to apply BSC change CP1390
PROMPT
PROMPT Version 10.0.006.0
PROMPT
--
-- DEFINE mdb_home = &1
--
--
--
SET SCAN OFF
--
DECLARE
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN

   EXECUTE IMMEDIATE 'INSERT INTO CROSS_REFERENCE_CONTROL (ATTRIBUTE_NAME, PROCESS_CONTROL_USED, PROCESS_CONTROL_LABEL)
                         VALUES (''E_SMETS_VERSION'', NULL, NULL)';   

EXCEPTION
   WHEN row_exists THEN
      NULL;
   WHEN OTHERS THEN
      RAISE;
END;
/

--
DECLARE
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(row_exists, -1);

BEGIN

   EXECUTE IMMEDIATE 'INSERT INTO CROSS_REFERENCE ( ATTRIBUTE_NAME, SYSTEM_CODE, CODE_DESCRIPTION,
                         CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE )
                         VALUES ( ''E_SMETS_VERSION'', ''SMETS1'', ''SMETS Version 1'', ''BSC_CP1390'', ''BSMART'',  SYSDATE)';

   EXECUTE IMMEDIATE 'INSERT INTO CROSS_REFERENCE ( ATTRIBUTE_NAME, SYSTEM_CODE, CODE_DESCRIPTION,
                         CREATED_USER_ID, CREATED_MARKET_PARTICIPANT, CREATED_DATE )
                         VALUES ( ''E_SMETS_VERSION'', ''SMETS2'', ''SMETS Version 2'', ''BSC_CP1390'', ''BSMART'',  SYSDATE)';

EXCEPTION
   WHEN row_exists THEN
      NULL;
   WHEN OTHERS THEN
      RAISE;
END;
/

SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
